Revit API Forum
Welcome to Autodesk’s Revit API Forums. Share your knowledge, ask questions, and explore popular Revit API topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Get perpendicular point from a structural element for orientation

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
231 Views, 0 Replies

Get perpendicular point from a structural element for orientation

Hello, What I need is the perpendicular point (one unit lenght distance) to the endpoint of a structural element. This is to create a model with 3 points . . . 2 end points and a 3rd point that reflect the orientation of the member in space.

I been trying this .-

'x is the element
Dim faminst As Autodesk.Revit.Elements.FamilyInstance = TryCast(x, Autodesk.Revit.Elements.FamilyInstance)
Dim model As Autodesk.Revit.Structural.AnalyticalModelFrame = faminst.AnalyticalModel
model = faminst.AnalyticalModel
Dim curve As Autodesk.Revit.Geometry.Curve = model.Curve
asc.pt1 = curve.get_EndPoint(0)
asc.pt2 = curve.get_EndPoint(1)
geo = faminst.get_Geometry(goptions)
Dim instance1 As Autodesk.Revit.Geometry.Instance = TryCast(geo.Objects.Item(1), Autodesk.Revit.Geometry.Instance)
Dim pt1 As Autodesk.Revit.Geometry.XYZ = Me.Application.Create.NewXYZ
pt1.X = 0 : pt1.Y = 0 : pt1.Z = 1.0
asc.pt3 = instance1.Transform.OfPoint(pt1)

but pt3 do not work. Any Ideas?. Thank you

Regards,
Carlos

Edited by: RamonRUIZ4494 on Dec 21, 2009 4:30 PM Edited by: RamonRUIZ4494 on Dec 21, 2009 4:31 PM
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Rail Community